org.codehaus.plexus.util.xml

## Class XmlStreamWriter

- java.lang.Object
- - java.io.Writer
  - - org.codehaus.plexus.util.xml.XmlStreamWriter

All Implemented Interfaces:
  Closeable, Flushable, Appendable, AutoCloseable

    public class XmlStreamWriter
    extends Writer

Character stream that handles (or at least attemtps to) all the necessary Voodo to figure out the charset encoding of the XML document written to the stream.

Since:
  1.4.4
Version:
  $Id$
Author:
  Herve Boutemy

### Field Summary

### Fields inherited from class java.io.Writer

`lock`

### Constructor Summary

Constructors
Constructor and Description
`XmlStreamWriter(File file)`
`XmlStreamWriter(OutputStream out)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `flush()`
`String` `getEncoding()`
`void` `write(char[] cbuf, int off, int len)`

### Methods inherited from class java.io.Writer

`append, append, append, write, write, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XmlStreamWriter

    public XmlStreamWriter(OutputStream out)

#### XmlStreamWriter

    public XmlStreamWriter(File file)
                    throws FileNotFoundException

Throws:
  `FileNotFoundException`

### Method Detail

#### getEncoding

    public String getEncoding()

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in class `Writer`
Throws:
  `IOException`

#### flush

    public void flush()
               throws IOException

Specified by:
  `flush` in interface `Flushable`
Specified by:
  `flush` in class `Writer`
Throws:
  `IOException`

#### write

    public void write(char[] cbuf,
                      int off,
                      int len)
               throws IOException

Specified by:
  `write` in class `Writer`
Throws:
  `IOException`